<template>

  <section>
    <div class="tile is-ancestor" style="padding :0; margin : 0;">
      <div class="tile is-vertical is-8">
        <div class="tile is-parent" style="padding :0; margin : 0;">
          <article class="tile is-child notification" style="margin: 0px; padding:0px; border-radius: 0px;">
            <div class="content">
              <GoogleMap />
            </div>
          </article>
        </div>

        <div class="tile is-parent" style="padding: 0; margin:0;">
          <article class="tile is-child notification has-background-dark" style="border-radius: 0px;">
            <p class="title has-text-light has-text-centered">
              Alertes
              <br>
              <small style="font-size:0.5em; color:#D8DDDE">
                Affichage des capteurs dont les seuils de données dépassent ceux sélectionnés dans les paramètres (température et/ou pression)
              </small>
            </p>
            <div class="content" align="center">
              <AlertPompier style="width:80%;"/>
            </div>
          </article>
        </div>
      </div>

      <div class="tile is-parent" style="padding: 0; margin: 0;">
        <article class="tile is-child notification listePompiers has-background-dark" style="border-radius: 0px; padding: 25px;">
          <div class="content">
            <p class="title has-text-light has-text-centered">Liste des Capteurs</p>
            <div class="content">
              <ListePompiers />
            </div>
          </div>
        </article>
      </div>
    </div>

    <Footer />

  </section>
</template>


<script defer src="https://use.fontawesome.com/releases/v5.0.7/js/all.js"></script>
<script src="~/assets/app.js"></script>


<script>
  import GoogleMap from "~/components/GoogleMap.vue";
  import ListePompiers from "~/components/ListePompiers.vue";
  import AlertPompier from "~/components/AlertPompier.vue";
  import Footer from "~/components/Footer.vue";

  export default {
    components: {
      GoogleMap,
      ListePompiers,
      AlertPompier,
      Footer
    }
  };

</script>


<style>

</style>
